%define cvs_date 20041205
Name: gnome-spell
Version: 1.0.5
Release: alt4

Summary: Gnome Spell is GNOME/Bonobo component for spell checking.
#Source0: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-cvs%cvs_date.tar.bz2
Source0: ftp://ftp.gnome.org/pub/gnome/sources/gnome-spell/%{name}-%{version}.tar.bz2

Patch1:	%name-%version-ru.po.patch
Patch3:	%name-%version-belarusian.patch
Patch4:	%name-%version-enchant.patch
Patch5: %name-%version-i18n.patch
Patch6: %name-%version-alt-gnome-headers.patch

Copyright: GPL
Group: Graphical desktop/GNOME

BuildPreReq: automake >= 1.4
Requires:	libenchant 
# Automatically added by buildreq on Thu Nov 20 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc3.3-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libenchant-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
Gnome Spell is GNOME/Bonobo component for spell checking. In current 0.1 version
it contains GNOME::Spell::Dictionary object, which provides spell checking dictionary
(see Spell.idl for exact API definition). It's based on pspell package.


%prep
%setup -q -n %name-%version
%patch6 -p1
%patch1 -p1
%patch4 -p1
%patch3 -p1
%patch5 -p1


%build
%set_automake_version 1.4
aclocal
autoheader
autoconf
automake -a
%configure
%make_build

%install
%makeinstall 

%find_lang %name-%version

%files -f %name-%version.lang
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL
%dir %_libdir/gnome-spell/
%_libdir/gnome-spell/*.so
%_libdir/bonobo/servers/*
%_datadir/control-center-2.0/icons/*
%_datadir/%name-%version
%_datadir/idl/*

%changelog
* Tue Jul 27 2004 Vital Khilko <vk@altlinux.ru> 1.0.5-alt4
- rebuilded with gnome 2.6

* Mon Nov 24 2003 Vital Khilko <vk@altlinux.ru> 1.0.5-alt3
- rebuild with enchant support instead aspell
- updated belarusian translation
- updated russian translation
- fix i18n support

* Fri Sep 19 2003 AEN <aen@altlinux.ru> 1.0.5-alt2
- belarusian patch frm Vital Khilko (vk@altlinux.ru)

* Thu Sep 18 2003 AEN <aen@altlinux.ru> 1.0.5-alt1
- new version

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 0.5-alt2
- rebuilt with libgal-0.21

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 0.5-alt1
- new version

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.4-alt2
- rebuilt with gal-0.19

* Mon Nov 09 2001 AEN <aen@logic.ru> 0.4-alt1
- new version
- nospell patch from MDK

* Wed Jun 13 2001 AEN <aen@logic.ru> 0.1-ipl4mdk
- build with pspell-0.12.2

* Mon Apr 7 2001 AEN <aen@logic.ru> 0.1-ipl3mdk
- rebuild with new pspell

* Fri Jan 05 2001 AEN <aen@logic.ru>
- adopted for RE

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package

# end of file
